import {
  geoPath,
  geoGraticule,
  geoEqualEarth,
  geoNaturalEarth1,
  fitSize,
} from 'd3';

// const projection = geoEqualEarth()
const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Map = ({
  mapData: { countries, borders, shore },
  width,
  height,
  data,
  sizeScale,
  sizeValue,
}) => {
  projection.fitSize([width, height], countries);

  return (
    <g className="map">
      <path
        className="sphere"
        d={path({ type: 'Sphere' })}
      />
      <path className="shore" d={path(shore)} />
      {countries.features.map((feature) => (
        <path
          className="country"
          d={path(feature)}
        />
      ))}
      <path
        className="graticules"
        d={path(graticule())}
      />
      <path
        className="borders"
        d={path(borders)}
      />
      {data.map((d) => {
        const [x, y] = projection(d.coords);
        return (
          <circle
            className="site"
            cx={x}
            cy={y}
            r={sizeScale(sizeValue(d))}
          />
        );
      })}
    </g>
  );
};
