import React from 'react';
import ReactDOM from 'react-dom';
import { useMapData } from './useMapData';
import { useData } from './useData';
import { BubbleMap } from './BubbleMap/index.js';
import { DateHistorgram } from './DateHistorgram/index.js';

const width = 960;
const height = 500;
const mapHeight = height * 0.7;
const histoHeight = height * 0.2;

const App = () => {
  const worldMapData = useMapData();
  const data = useData();

  if (!worldMapData || !data) {
    return <p class="loading">Loading...</p>;
  }

  return (
    <svg width={width} height={height}>
      <BubbleMap
        data={data}
        mapData={worldMapData}
        width={width}
        height={mapHeight}
      />
      <DateHistorgram
        data={data}
        y={mapHeight}
        width={width}
        height={histoHeight}
      />
    </svg>
  );
};

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
